this_process.cpp File Reference
`#include <core/posix/this_process.h>`
`#include <core/posix/process.h>`
`#include <boost/algorithm/string.hpp>`
`#include <iostream>`
`#include <mutex>`
`#include <sstream>`
`#include <vector>`
`#include <cerrno>`
`#include <cstdlib>`
Include dependency graph for this_process.cpp:

Go to the source code of this file.

## Namespaces

| core
| core::posix
| core::posix::this_process
| core::posix::this_process::env

## Functions

CORE_POSIX_DLL_PUBLIC void | core::posix::this_process::env::for_each (const std::function< void(const std::string &, const std::string &)> &functor) noexcept(true)
| for_each invokes a functor for every key-value pair in the environment. More...
CORE_POSIX_DLL_PUBLIC std::string | core::posix::this_process::env::get_or_throw (const std::string &key)
| get queries the value of an environment variable. More...
CORE_POSIX_DLL_PUBLIC std::string | core::posix::this_process::env::get (const std::string &key, const std::string &default_value=std::string()) noexcept(true)
| get queries the value of an environment variable. More...
CORE_POSIX_DLL_PUBLIC void | core::posix::this_process::env::unset_or_throw (const std::string &key)
| unset_or_throw removes the variable with name key from the environment. More...
CORE_POSIX_DLL_PUBLIC bool | core::posix::this_process::env::unset (const std::string &key, std::error_code &se) noexcept(true)
| unset removes the variable with name key from the environment. More...
CORE_POSIX_DLL_PUBLIC void | core::posix::this_process::env::set_or_throw (const std::string &key, const std::string &value)
| set_or_throw will adjust the contents of the variable identified by key to the provided value. More...
CORE_POSIX_DLL_PUBLIC bool | core::posix::this_process::env::set (const std::string &key, const std::string &value, std::error_code &se) noexcept(true)
| set will adjust the contents of the variable identified by key to the provided value. More...
CORE_POSIX_DLL_PUBLIC Process | core::posix::this_process::instance () noexcept(true)
| Returns a Process instance corresponding to this process. More...
CORE_POSIX_DLL_PUBLIC Process | core::posix::this_process::parent () noexcept(true)
| Query the parent of the process. More...
CORE_POSIX_DLL_PUBLIC std::istream & | core::posix::this_process::cin () noexcept(true)
| Access this process's stdin. More...
CORE_POSIX_DLL_PUBLIC std::ostream & | core::posix::this_process::cout () noexcept(true)
| Access this process's stdout. More...
CORE_POSIX_DLL_PUBLIC std::ostream & | core::posix::this_process::cerr () noexcept(true)
| Access this process's stderr. More...

## Variables

char ** | environ

## Variable Documentation

## environ

char** environ

extern

Referenced by core::posix::this_process::env::for_each().